<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: cuboid.hh File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('cuboid_8hh.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">cuboid.hh File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="rotation_matrix_8hh_source.html">rotationMatrix.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="shape_8hh_source.html">shape.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for cuboid.hh:</div>
<div class="dyncontent">
<div class="center"><img src="cuboid_8hh__incl.png" border="0" usemap="#cuboid_8hh" alt=""/></div>
<map name="cuboid_8hh" id="cuboid_8hh">
<area shape="rect" title=" " alt="" coords="211,5,296,32"/>
<area shape="rect" title=" " alt="" coords="5,155,64,181"/>
<area shape="rect" title=" " alt="" coords="89,155,151,181"/>
<area shape="rect" title=" " alt="" coords="463,80,537,107"/>
<area shape="rect" title=" " alt="" coords="335,304,415,331"/>
<area shape="rect" href="rotation_matrix_8hh.html" title=" " alt="" coords="253,80,387,107"/>
<area shape="rect" href="shape_8hh.html" title=" " alt="" coords="147,80,229,107"/>
<area shape="rect" href="_matrix_8hh.html" title=" " alt="" coords="278,155,362,181"/>
<area shape="rect" href="_vector_8hh.html" title=" " alt="" coords="167,229,249,256"/>
<area shape="rect" title=" " alt="" coords="274,229,337,256"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="cuboid_8hh__dep__incl.png" border="0" usemap="#cuboid_8hhdep" alt=""/></div>
<map name="cuboid_8hhdep" id="cuboid_8hhdep">
<area shape="rect" title=" " alt="" coords="167,5,252,32"/>
<area shape="rect" href="drone_8hh.html" title=" " alt="" coords="115,80,194,107"/>
<area shape="rect" href="cuboid_8cpp.html" title=" " alt="" coords="218,80,310,107"/>
<area shape="rect" href="scene_8hh.html" title=" " alt="" coords="61,155,141,181"/>
<area shape="rect" href="drone_8cpp.html" title=" " alt="" coords="166,155,253,181"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="5,229,88,256"/>
<area shape="rect" href="scene_8cpp.html" title=" " alt="" coords="113,229,199,256"/>
</map>
</div>
</div>
<p><a href="cuboid_8hh_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html">Cuboid</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Models the concept of the cuboid.  <a href="class_cuboid.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="cuboid_8hh.html">cuboid.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
